Subject: bug#28393: Sound output broken in Audacity

From: Florian Paul Schmidt <[email-masked]>
Date: Sun, 10 Sep 2017 11:11:47 +0200

Hi,

what ALSA pcm device have you configured Audacity to use? From the log 
it looks like it tries to use some pcm devices that are commonly 
configured in a global alsa.conf (on ubuntu for example in 
/usr/share/alsa/alsa.conf (.d). Possibly you do not have these global 
definitions available?

Does using "hw:0,0" work if set as pcm device in the audacity config?

Regards,
Flo

P.S.: I'm not using guix ATM, so I have no idea on where the guix ALSA 
packages would store global configs, etc..

On 08.09.2017 18:24, Mark H Weaver wrote:
> Sound output is broken in Audacity on my Thinkpad X200 running GuixSD,
> at least within GNOME 3 (I haven't tried it anywhere else).  It worked
> in the past.  I see the following error messages in Audacity's
> stdout/stderr:
> 
> (audacity:893): Gtk-WARNING **: Unable to locate theme engine in module_path: "adwaita",
> 
> (audacity:893): Gtk-WARNING **: Unable to locate theme engine in module_path: "adwaita",
> ALSA lib pcm.c:2501:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.rear
> ALSA lib pcm.c:2501:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.center_lfe
> ALSA lib pcm.c:2501:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.side
> ALSA lib pcm_route.c:867:(find_matching_chmap) Found no matching channel map
> ALSA lib pcm_route.c:867:(find_matching_chmap) Found no matching channel map
> ALSA lib pcm_route.c:867:(find_matching_chmap) Found no matching channel map
> ALSA lib pcm_route.c:867:(find_matching_chmap) Found no matching channel map
> Expression 'stream->playback.pcm' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 4628
> Expression 'stream->playback.pcm' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 4628
> Expression 'stream->playback.pcm' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 4628
> 
>         Mark
> 
> 
>